Dependency (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.resolve

## [Groovy] Class Dependency

- org.codehaus.groovy.grails.resolve.Dependency

- Represents a dependency independent of any dependency resolution engine (ivy or aether)

  Authors:
    Graeme Rocher

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `WILDCARD` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.lang.String` | `classifier`
    `java.util.List<Dependency>` | `excludes`
    `boolean` | `exported`
    `java.lang.String` | `extension`
    `java.lang.String` | `group`
    `boolean` | `inherited`
    `java.lang.String` | `name`
    `boolean` | `transitive`
    `java.lang.String` | `version`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `Dependency (java.lang.String group, java.lang.String name, java.lang.String version, java.lang.String... exc)`
    `Dependency (java.lang.String group, java.lang.String name, java.lang.String version, boolean inherited, java.lang.String... exc)`
    `Dependency (java.lang.String group, java.lang.String name, java.lang.String version, boolean inherited, boolean transitive)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `exclude(java.lang.String name)`
    `void` | `exclude(java.lang.String group, java.lang.String name)`
    `java.lang.String[]` | `getExcludeArray()`
    `java.lang.String` | `getPattern()` Dependency pattern
    `java.lang.String[]` | `getTokens()` Array of tokens for the group, name and version
    `java.lang.String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String WILDCARD

  - ### Property Detail

    - #### java.lang.String classifier

    - #### java.util.List<Dependency> excludes

    - #### boolean exported

    - #### java.lang.String extension

    - #### java.lang.String group

    - #### boolean inherited

    - #### java.lang.String name

    - #### boolean transitive

    - #### java.lang.String version

  - ### Constructor Detail

    - #### Dependency(java.lang.String group, java.lang.String name, java.lang.String version, java.lang.String... exc)

    - #### Dependency(java.lang.String group, java.lang.String name, java.lang.String version, boolean inherited, java.lang.String... exc)

    - #### Dependency(java.lang.String group, java.lang.String name, java.lang.String version, boolean inherited, boolean transitive)

  - ### Method Detail

    - #### void exclude(java.lang.String name)

    - #### void exclude(java.lang.String group, java.lang.String name)

    - #### java.lang.String[] getExcludeArray()

    - #### java.lang.String getPattern()

      Dependency pattern

    - #### java.lang.String[] getTokens()

      Array of tokens for the group, name and version

    - #### @java.lang.Override java.lang.String toString()